LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-23-2007, 02:08 AM   #1
ajferrari
LQ Newbie
 
Registered: Nov 2005
Location: Location
Distribution: SuSE 9.3
Posts: 10

Rep: Reputation: 0
tdbsam install error and broken samba


I recently installed Ubuntu 6.10 on a Dell Box.

I got networking up, and everything seemed to be going fine.

I wanted to set it up as a PDC with a file server, but for some reason the server wasn't giving the slightest bit of access.

When the windows clients tried to connect to the server in the network neighborhood I got an error saying "Authentication Failed: you don't have permission to access this resource"

I finally dumbed down my smb.conf to an extremely simple setup. I wanted to see if it was an install error or something. Still, no access. I even set security to share instead of user.

So I did a fresh install of Ubuntu and samba. I put in the most mickey mouse samba config I could.

Still no luck!!!

The only clues I have are these:

During the samba install I got an error message similar to this:

[HTML]
TDBSAM version too old (0), trying to convert it.
TDBSAM converted successfully.
account_policy_get: tdb_fetch_uint32 failed for field 1 (min password length), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 2 (password history), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 3 (user must logon to change password), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum password age), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum password age), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 6 (lockout duration), returning 0
account_policy_get: tdb_fetch_uint32 failed for field 7 (reset count minutes), returning
0 account_policy_get: tdb_fetch_uint32 failed for field 8 (bad lockout attempt), returning
0 account_policy_get: tdb_fetch_uint32 failed for field 9 (disconnect time), returning 0 account_policy_get: tdb_fetch_uint32 failed for field 10 (refuse machine password change), returning 0
Unable to modify passwd TDB!
[/HTML]

When I run testparm I get this error "WARNING: passdb expand explicit = yes is deprecated"

Below is the full testparm:

[HTML]
Load smb config files from /etc/samba/smb.conf
Processing section "[printers]"
Processing section "[print$]"
Processing section "[public]"
Loaded services file OK.
WARNING: passdb expand explicit = yes is deprecated
Server role: ROLE_STANDALONE
Press enter to see a dump of your service definitions

[global]
workgroup = MSHOME
server string = %h server (Samba, Ubuntu)
security = SHARE
obey pam restrictions = Yes
passdb backend = tdbsam
passwd program = /usr/bin/passwd %u
passwd chat = *Enter\snew\sUNIX\spassword:* %n\n *Retype\snew\sUNIX\spassword:* %n\n *password\supdated\ssuccessfully* .
syslog = 0
log file = /var/log/samba/log.%m
max log size = 1000
dns proxy = No
panic action = /usr/share/samba/panic-action %d
invalid users = root

[printers]
comment = All Printers
path = /tmp
create mask = 0700
printable = Yes
browseable = No

[print$]
comment = Printer Drivers
path = /var/lib/samba/printers

[public]
comment = Public Folder
path = /home/public
force user = nobody
force group = nogroup
read only = No
create mask = 0777
directory mask = 0777
guest ok = Yes
[/HTML]

Wow, Ubuntu doesn't work with samba out of the box? Am I going to have to change distros?

I did use a root account both times to install samba. Could this be my problem? Ubuntu uses the sudo command, but I like having a root account so I always create one with passwd before the install.

This is really boggling me, anyone have any idea what might be going on?

Last edited by ajferrari; 01-23-2007 at 02:18 AM.
 
Old 02-07-2007, 02:08 AM   #2
venki
Member
 
Registered: Sep 2006
Location: India
Distribution: suse10.2
Posts: 128

Rep: Reputation: 15
plz help me same problem with me..
WARNING: passdb expand explicit = yes is deprecated
Server role: ROLE_STANDALONE
Press enter to see a dump of your service definitions
 
Old 02-14-2007, 03:59 AM   #3
ajferrari
LQ Newbie
 
Registered: Nov 2005
Location: Location
Distribution: SuSE 9.3
Posts: 10

Original Poster
Rep: Reputation: 0
I reinstalled with Ubuntu Desktop. It's samba works. As far as I know, Ubuntu Server has errors when you try and run samba. Good luck to everyone trying to create a file server with Ubuntu. Or perhaps I was running into terrible luck? Any other people with similar issues?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install fails, error: "CD is broken" RKT Linux - Newbie 4 01-17-2006 12:28 PM
Samba broken (my fault) linux-rulz Linux - Networking 1 12-16-2005 01:17 PM
problems with tdbsam arobinson74 Linux - Networking 2 04-13-2005 02:52 PM
apt-get install samba (error report - need help) dhatcher2 Linux - Software 1 10-29-2004 06:59 PM
Domain Admin functionality on Samba 3.0.2a with TDBSAM randombloke Linux - Networking 2 08-25-2004 02:47 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration